# POST /billing/invoices/process URL: https://developers.vsee.io/api/payment-api/post/billing/invoices/process Auth: User Token — Requires a user access token from login or SSO. Process invoice Process an invoice with optional coupon code Process an invoice, optionally applying a promo/coupon code. **Parameters:** - `promo_code` — Coupon code - `intake_id` — Required — intake ID to apply the coupon to - `create_invoice` — Set to `1` to create the invoice Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code Request body (application/json): - promo_code (string, optional) - intake_id (string, required) - create_invoice (integer, optional) Example request: ```json { "promo_code": "string", "intake_id": "string", "create_invoice": 0 } ``` Responses: - 200 — Successful processing ```json { "data": { "currency": "USD", "consultation": { "description": "30 mins", "amount": 30, "duration": 30, "id": "58244a53-0f28-4ff9-bdbc-7468ac1f0144" }, "coupon": { "id": "10_percents_1479363579", "percent_off": 10, "valid": true }, "amount_due": 27 } } ```